Execute Event Handlers
This method will execute event handlers in CRMScript for a given event.
NsApiSlow threshold: 5000 ms.
Authorizations
SuperOffice username:password are passed in Base64-encoded.
You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.
SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/
passing in the application id and redirect URL.
SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)
https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f
You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.
- Authorization URL
- https://online.superoffice.com/login/common/oauth/authorize
Headers
Convert string references and multi-language values into a specified language (iso2) code.
Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
Specify the timezone code that you would like date/time responses converted to.
The application token that identifies the partner app. Used when calling Online WebAPI from a server.
Query Parameters
Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
Body
EventData
ExecuteEventHandlers: This method will execute event handlers in CRMScript for a given event.
EventData containing data related to event handlers Carrier object for EventData. Services for the EventData Carrier is available from the CustomerService Agent.
Response
OK
EventData containing data related to event handlers Carrier object for EventData. Services for the EventData Carrier is available from the CustomerService Agent.
The type of event we are triggered by
Unknown, NewTicket, NewTicketFromCustomerCenter, NewTicketFromEmail, NewTicketFromCustomerCenterBeforeSave, NewTicketFromSpmLink, NewNotifyTicketFromForm, NewTicketFromForm, TicketSave, TicketClosed, TicketPostponed, TicketDeleted, TicketActivated, TicketReopened, TicketReopenedFromCustomerCenter, TicketReopenedFromEmail, TicketChangedPriority, TicketChangedCategory, TicketChangedOwnedBy, TicketChangedPrimaryCustomer, TicketChangedTicketStatus, TicketChangedSlevel, TicketMessageAdded, TicketInternalMessageAdded, TicketExternalMessageAdded, TicketMessageSentimentCalculated, CompactModeInjection, CustomerCenterAuthentication, ScheduledTaskFailed, DbiTaskFailed, CustomerSetSubscriptions, ImportMailBeforeProcessing, ImportMailAfterProcessing, MainMenu, ChatNewSession, ChatSessionChangedStatus, ChatBeforeSaveNewMessage, ChatAfterSaveNewMessage, ServiceScreenNewTicketLoad, ServiceScreenNewQuickTicketLoad, ServiceScreenListTicketMessagesLoad, ServiceScreenAddMessageLoad, ServiceScreenEditTicketLoad, ServiceScreenViewCustomerLoad, ServiceScreenEditCustomerLoad, ServiceScreenViewCompanyLoad, ServiceScreenEditCompanyLoad, ServiceScreenForwardLoad, ServiceScreenEditExtraTableLoad, ServiceScreenNewTicketBeforeSubmit, ServiceScreenNewQuickTicketBeforeSubmit, ServiceScreenListTicketMessagesBeforeSubmit, ServiceScreenAddMessageBeforeSubmit, ServiceScreenEditTicketBeforeSubmit, ServiceScreenViewCustomerBeforeSubmit, ServiceScreenEditCustomerBeforeSubmit, ServiceScreenViewCompanyBeforeSubmit, ServiceScreenEditCompanyBeforeSubmit, ServiceScreenForwardBeforeSubmit, ServiceScreenEditExtraTableBeforeSubmit, ServiceScreenNewTicketAfterSubmit, ServiceScreenNewQuickTicketAfterSubmit, ServiceScreenListTicketMessagesAfterSubmit, ServiceScreenAddMessageAfterSubmit, ServiceScreenEditTicketAfterSubmit, ServiceScreenViewCustomerAfterSubmit, ServiceScreenEditCustomerAfterSubmit, ServiceScreenViewCompanyAfterSubmit, ServiceScreenEditCompanyAfterSubmit, ServiceScreenForwardAfterSubmit, ServiceScreenEditExtraTableAfterSubmit, SalesBeforeSaveAppointment, SalesBeforeSaveStakeholder, SalesBeforeSaveQuote, SalesBeforeSaveDocument, SalesBeforeSaveContact, SalesBeforeSavePerson, SalesBeforeSaveRelation, SalesBeforeSaveSale, SalesBeforeSaveProject, SalesBeforeSaveSelection, SalesBeforeSaveProjectMember, SalesBeforeSaveSelectionMember, SalesBeforeSaveQuoteLine, SalesBeforeSaveApproveQuote, SalesBeforeSaveRejectQuote, SalesBeforeSaveTicket, SalesLoadCustomObject, SalesBeforeSaveCustomObject, SalesAfterSaveAppointment, SalesAfterSaveStakeholder, SalesAfterSaveQuote, SalesAfterSaveDocument, SalesAfterSaveContact, SalesAfterSavePerson, SalesAfterSaveRelation, SalesAfterSaveSale, SalesAfterSaveProject, SalesAfterSaveSelection, SalesAfterSaveProjectMember, SalesAfterSaveSelectionMember, SalesAfterSaveQuoteLine, SalesAfterSaveApproveQuote, SalesAfterSaveRejectQuote, SalesAfterSaveTicket, SalesAfterSaveCustomObject, SalesSplitTicket, SalesLoadTicket, SalesLoadTicketMessage Environment values sent to the event handler
Whether the context should stop what it is doing, e.g. saving a sale
Where the context should naviate afterwards
A message to be presented to the user
JSON structure of dialog to show
Values sent back to the environment from the event handler
Values kept between event handlers
String containing error message from handler system if it failed
Parser values sent to the event handler
Cgi variables sent by some events
The Cgi content/body, sent by some events
Incoming headers if sent by the context which the script is executed from
If true, then the execution will be traced
Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.
Field property dictionary mapping field names to field access rights.